## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 21
%bcond_without check

%global rustflags_debuginfo 1

%global crate bodhi-cli

Name:           rust-%{crate}
Version:        2.0.1
Release:        %autorelease
Summary:        Bodhi CLI client based on bodhi-rs

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/bodhi-cli
Source0:        %{crates_source}
Source1:        LICENSE.dependencies

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Bodhi CLI client based on bodhi-rs.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (ASL 2.0 or MIT) and BSD
# ASL 2.0
# ASL 2.0 or Boost
# ASL 2.0 or MIT
# BSD
# MIT
# MIT or ASL 2.0
# MIT or ASL 2.0 or zlib
# Unlicense or MIT
# zlib or ASL 2.0 or MIT
License:        ASL 2.0 and BSD and MIT
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE-APACHE
%license LICENSE-MIT
%license LICENSE.dependencies
%doc NEWS.md
%doc README.md
%{_bindir}/bodhi-cli
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/%{crate}.bash

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
cp %{SOURCE1} .
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install
install -D -p -m 0644 -t %{buildroot}%{_datadir}/bash-completion/completions \
    target/release/build/%{crate}-*/out/%{crate}.bash

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Wed Jun 01 2022 Fabio Valentini <decathorpe@gmail.com> 2.0.1-1
- Update to version 2.0.1; Fixes RHBZ#2091708

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> 2.0.0-2
- Rebuild with package notes

* Tue Feb 01 2022 Fabio Valentini <decathorpe@gmail.com> 2.0.0-1
- Update to version 2.0.0; Fixes RHBZ#2048848

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Dec 21 2021 Fabio Valentini <decathorpe@gmail.com> 1.1.0-2
- Rebuilt for bodhi-rs 1.1.1

* Sat Sep 25 2021 Fabio Valentini <decathorpe@gmail.com> 1.1.0-1
- Update to version 1.1.0; Fixes RHBZ#2007873

* Tue Sep 14 2021 Sahana Prasad <sahana@redhat.com> - 1.0.2-3
- Rebuilt with OpenSSL 3.0.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 29 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.2-1
- Update to version 1.0.2.
- Fixes RHBZ#1967535

* Mon Mar 08 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.1-1
- Update to version 1.0.1.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Dec 15 2020 Fabio Valentini <decathorpe@gmail.com> - 1.0.0-1
- Update to version 1.0.0.

* Tue Nov 03 2020 Fabio Valentini <decathorpe@gmail.com> - 0.4.1-1
- Update to version 0.4.1.

* Sun Aug 30 2020 Fabio Valentini <decathorpe@gmail.com> - 0.3.3-5
- Rebuild for bodhi 0.6.2.

* Sun Aug 16 15:01:11 GMT 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.3.3-4
- Rebuild

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jun 23 2020 Fabio Valentini <decathorpe@gmail.com> - 0.3.3-1
- Update to version 0.3.3.

* Tue Apr 14 2020 Josh Stone <jistone@redhat.com> - 0.3.2-1
- Update to 0.3.2

* Fri Mar 20 2020 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-2
- Rebuild for bodhi-rs 0.5.8.

* Sun Mar 08 2020 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-1
- Update to version 0.3.1.

* Sun Mar 08 2020 Fabio Valentini <decathorpe@gmail.com> - 0.3.0-1
- Update to version 0.3.0.

* Thu Mar 05 2020 Fabio Valentini <decathorpe@gmail.com> - 0.2.5-2
- Rebuild for bodhi-rs 0.5.7.

* Mon Feb 24 2020 Fabio Valentini <decathorpe@gmail.com> - 0.2.5-1
- Update to version 0.2.5.

* Wed Feb 19 2020 Fabio Valentini <decathorpe@gmail.com> - 0.2.4-1
- Update to version 0.2.4.

* Mon Feb 10 2020 Fabio Valentini <decathorpe@gmail.com> - 0.2.3-1
- Initial package

